Subject: RE: ImageMagick
From: "Bill McCormick" <[email-masked]>
To: "Gerrit P. Haase" <[email-masked]>
Cc: "Cygwin" <[email-masked]>
Date: Mon, 21 Jul 2003 21:36:06 -0500

Thanks Gerrit,

I thought I had the jpeg lib from cygwin installed and that I needed
something more. Your note prompted me to check again and sure enough, I
didn't have it installed - DUH!! So after installing that - Imagemagick is
now ready to fly with jpeg.

I DL'd your lib's from your link (note that the files want to save as
*.tar.tar as opposed to *.tar.bz2,) renamed them and untarzip'd them into
place. I run Imagemagick configure again and it looks like things are still
broken there:

*snip*
EXIF              --with-exif=yes               no (failed tests)
*snip*

So now I'm trying to rebuild from your sources ...

Administrator@billhome/usr/local/exif-0.6

*snip*

checking for libexif >= 0.5.9... gnome-config: not found
gnome-config: not found
Package libexif was not found in the pkg-config search path.
Perhaps you should add the directory containing `libexif.pc'
to the PKG_CONFIG_PATH environment variable
No package 'libexif' found

configure: error: Library requirements (libexif >= 0.5.9) not met; consider
adjusting the PKG_CONFIG_PATH environment variable if your libraries are in
a nonstandard prefix so pkg-config can find them.

************

The same for gexif-0.5.

So off I go pouring over doc's and such (actually, now I need to work on
something else for a while and I don't need to chew camera tags at the
moment.) I'll get back to this before too long though.

I'll check the PKG_CONFIG_PATH env var - could that be the whole problem?.
I'm pretty sure I need to use the --enable-shared switch during configure
and I think that means I neither need nor want --enable-static; True? Is
there a specific build order I need to follow or maybe I've yet to install
some other prerequisite?

Your thoughts?

Thanks,

Bill

> -----Original Message-----
> From: Gerrit P. Haase [mailto:[email-masked]]
> Sent: Monday, July 21, 2003 4:26 PM
> To: Bill McCormick
> Cc: Cygwin
> Subject: Re: ImageMagick
>
>
> Hallo Bill,
>
> Am Montag, 21. Juli 2003 um 07:39 schriebst du:
>
> > Hi all,
>
> > Anybody have ImageMagick installed?
>
> > I'm having installation problems with some of the required libs
> (the ones I
> > want), specifically, the IJG jpeg lib and libexif. When running
> > ./configure --enable-shared for the IJG jpeg lib, shared lib
> build doesn't
> > appear to happen, however it does make and install. The libexif build
> > appears to be okay but when I run the build on ImageMagick it
> tells me that
> > tests failed (for both libexif and jpeg support.)
>
> JPEG is already included in the Cygwin netrelease, why don't you use
> it?
>
> Have you compiled libexif yourself? You may want to try my version:
> http://anfaenger.de/cygwin/libexif/
>
>
> Gerrit
> --
> =^..^=
>
>
> ---
> Incoming mail is certified Virus Free.
> Checked by AVG anti-virus system (http://www.grisoft.com).
> Version: 6.0.502 / Virus Database: 300 - Release Date: 7/18/2003
>
---
Outgoing mail is certified Virus Free.
Checked by AVG anti-virus system (http://www.grisoft.com).
Version: 6.0.502 / Virus Database: 300 - Release Date: 7/18/2003

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/